# Uses of Class
com.databricks.jdbc.api.impl.ImmutableSqlParameter

Packages that use ImmutableSqlParameter
Package
Description
com.databricks.jdbc.api.impl
com.databricks.jdbc.common.util
com.databricks.jdbc.dbclient
com.databricks.jdbc.dbclient.impl.sqlexec
com.databricks.jdbc.dbclient.impl.thrift

## Uses of ImmutableSqlParameter in com.databricks.jdbc.api.impl

Methods in com.databricks.jdbc.api.impl that return ImmutableSqlParameter
Modifier and Type
Method
Description
`ImmutableSqlParameter`
ImmutableSqlParameter.Builder.`build()`
Builds a new `ImmutableSqlParameter`.
`static ImmutableSqlParameter`
ImmutableSqlParameter.`copyOf(SqlParameter instance)`
Creates an immutable copy of a `SqlParameter` value.
`final ImmutableSqlParameter`
ImmutableSqlParameter.`withCardinal(int value)`
Copy the current immutable object by setting a value for the `cardinal` attribute.
`final ImmutableSqlParameter`
ImmutableSqlParameter.`withType(ColumnInfoTypeName value)`
Copy the current immutable object by setting a value for the `type` attribute.
`final ImmutableSqlParameter`
ImmutableSqlParameter.`withValue(Object value)`
Copy the current immutable object by setting a value for the `value` attribute.
Methods in com.databricks.jdbc.api.impl that return types with arguments of type ImmutableSqlParameter
Modifier and Type
Method
Description
`Map<Integer,ImmutableSqlParameter>`
DatabricksParameterMetaData.`getParameterBindings()`
Methods in com.databricks.jdbc.api.impl with parameters of type ImmutableSqlParameter
Modifier and Type
Method
Description
`void`
DatabricksParameterMetaData.`put(int param, ImmutableSqlParameter value)`

## Uses of ImmutableSqlParameter in com.databricks.jdbc.common.util

Method parameters in com.databricks.jdbc.common.util with type arguments of type ImmutableSqlParameter
Modifier and Type
Method
Description
`static String`
SQLInterpolator.`interpolateSQL(String sql, Map<Integer,ImmutableSqlParameter> params)`
Interpolates the given SQL string by replacing placeholders with the provided parameters.

## Uses of ImmutableSqlParameter in com.databricks.jdbc.dbclient

Method parameters in com.databricks.jdbc.dbclient with type arguments of type ImmutableSqlParameter
Modifier and Type
Method
Description
`DatabricksResultSet`
IDatabricksClient.`executeStatement(String sql, IDatabricksComputeResource computeResource, Map<Integer,ImmutableSqlParameter> parameters, StatementType statementType, IDatabricksSession session, IDatabricksStatementInternal parentStatement)`
Executes a statement in Databricks server
`DatabricksResultSet`
IDatabricksClient.`executeStatementAsync(String sql, IDatabricksComputeResource computeResource, Map<Integer,ImmutableSqlParameter> parameters, IDatabricksSession session, IDatabricksStatementInternal parentStatement)`
Executes a statement in Databricks server asynchronously

## Uses of ImmutableSqlParameter in com.databricks.jdbc.dbclient.impl.sqlexec

Method parameters in com.databricks.jdbc.dbclient.impl.sqlexec with type arguments of type ImmutableSqlParameter
Modifier and Type
Method
Description
`DatabricksResultSet`
DatabricksSdkClient.`executeStatement(String sql, IDatabricksComputeResource computeResource, Map<Integer,ImmutableSqlParameter> parameters, StatementType statementType, IDatabricksSession session, IDatabricksStatementInternal parentStatement)`
`DatabricksResultSet`
DatabricksSdkClient.`executeStatementAsync(String sql, IDatabricksComputeResource computeResource, Map<Integer,ImmutableSqlParameter> parameters, IDatabricksSession session, IDatabricksStatementInternal parentStatement)`

## Uses of ImmutableSqlParameter in com.databricks.jdbc.dbclient.impl.thrift

Method parameters in com.databricks.jdbc.dbclient.impl.thrift with type arguments of type ImmutableSqlParameter
Modifier and Type
Method
Description
`DatabricksResultSet`
DatabricksThriftServiceClient.`executeStatement(String sql, IDatabricksComputeResource computeResource, Map<Integer,ImmutableSqlParameter> parameters, StatementType statementType, IDatabricksSession session, IDatabricksStatementInternal parentStatement)`
`DatabricksResultSet`
DatabricksThriftServiceClient.`executeStatementAsync(String sql, IDatabricksComputeResource computeResource, Map<Integer,ImmutableSqlParameter> parameters, IDatabricksSession session, IDatabricksStatementInternal parentStatement)`